package com.jack.sqlite;

import android.content.ContentValues;
import android.database.sqlite.SQLiteDatabase;

/**
 * Created by jacksonmalta on 13/04/19.
 */

public class TableProvider {

    DBHelper dbHelper = null;
    SQLiteDatabase db = null;
    String tableName = "";

    public TableProvider(DBHelper dbHelper, String tableName) {
        this.dbHelper = dbHelper;
        this.db = dbHelper.getWritableDatabase();
        this.tableName = tableName;
    }

    public long insert(String key, String value) {
        ContentValues contentValues = new ContentValues();

        contentValues.put(key, value);

        /*for (Map.Entry<String, String> entry : values.entrySet()) {
            contentValues.put( entry.getKey() ,entry.getValue());
        }*/

        long newRowId = this.db.insert(this.tableName, null, contentValues);
        return newRowId;
    }

    public void commit() {
        this.dbHelper.close();
    }
}
