package com.jack.sqlite;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

/**
 * Created by jacksonmalta on 13/04/19.
 */

public class DBHelper extends SQLiteOpenHelper {

    public String tableCreateQuery = "";
    public String tableDeleteQuery = "";

    public DBHelper(Context context, String databaseName, Integer databaseVersion, String tableCreateQuery, String tableDeleteQuery) {
        super(context, databaseName, null, databaseVersion);
        this.tableCreateQuery = tableCreateQuery;
        this.tableDeleteQuery = tableDeleteQuery;
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(this.tableCreateQuery);
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL(this.tableDeleteQuery);
        onCreate(db);
    }
}
